## itinerary 22.12.2

=== debian/changelog ===
itinerary (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Switch Maintainer to the canonical one.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Simplify the handling of locales for the tests: instead of a custom script
    for generating some, simply switch the locales build dependency to
    locales-all, so we get all of them already prebuilt.
  * Remove the manual check for nocheck in DEB_BUILD_OPTIONS, as debhelper does
    it already in compat 13+.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Feb 2023 08:31:25 +0100

itinerary (22.12.1-2) unstable; urgency=medium

  * Add runtime dependency qml-module-org-kde-kpublictransport.

 -- Sandro Knauß <hefee@debian.org>  Tue, 31 Jan 2023 17:44:26 +0100

itinerary (22.12.1-1) unstable; urgency=medium

  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * Update signing-key for current version.
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright for current version.
  * Add dependency on qml-module-qt-labs-qmlmodels (Closes: #1030004)

 -- Sandro Knauß <hefee@debian.org>  Tue, 31 Jan 2023 17:37:34 +0100

itinerary (22.08.2-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * Initial release (Closes: #1022774)

  [ Sandro Knauß ]
  * New upstream release (22.08.2).

 -- Sandro Knauß <hefee@debian.org>  Tue, 25 Oct 2022 19:01:48 +0200
