=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.94~),
               iso-codes <!nocheck>,
               kirigami2-dev (>= 5.94~),
               kosmindoormap-dev,
               libical-dev (>= 3.0),
               libkf5archive-dev (>= 5.94~),
               libkf5calendarcore-dev (>= 5:5.94~),
               libkf5contacts-dev (>= 5:5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5dbusaddons-dev (>= 5.94~),
               libkf5filemetadata-dev (>= 5.94~),
               libkf5holidays-dev (>= 1:5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5networkmanagerqt-dev (>= 5.94~),
               libkf5notifications-dev (>= 5.94~),
               libkf5prison-dev (>= 5.94~),
               libkf5qqc2desktopstyle-dev (>= 5.94~),
               libkf5unitconversion-dev (>= 5.94~),
               libkf5windowsystem-dev (>= 5.94~),
               libkpimitinerary-dev (>= 21.08.0~),
               libkpimpkpass-dev,
               libkpublictransport-dev,
               libqt5svg5-dev,
               libssl-dev,
               locales-all <!nocheck>,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtlocation5-dev (>= 5.15.2~),
               qtpositioning5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               shared-mime-info (>= 1.0~),
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://www.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
Rules-Requires-Root: no

Package: itinerary
Architecture: any
Depends: qml-module-org-kde-kitemmodels,
         qml-module-org-kde-kopeninghours,
         qml-module-org-kde-kosmindoormap,
         qml-module-org-kde-kpublictransport,
         qml-module-org-kde-prison,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtmultimedia,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.
