## itinerary 22.12.3

=== debian/changelog ===
itinerary (22.12.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream bugfix.
  * Add missing QML runtime dependencies (Closes: #1032889)

 -- Sandro Knauß <hefee@debian.org>  Fri, 24 Mar 2023 00:10:48 +0100
