=== debian/control ===
--- 
+++ 
@@ -48,16 +48,24 @@
 
 Package: itinerary
 Architecture: any
-Depends: qml-module-org-kde-kitemmodels,
+Depends: plasma-framework,
+         qml-module-org-kde-kitemmodels,
+         qml-module-org-kde-i18n-localedata,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-kopeninghours,
          qml-module-org-kde-kosmindoormap,
          qml-module-org-kde-kpublictransport,
          qml-module-org-kde-prison,
          qml-module-qt-labs-platform,
          qml-module-qt-labs-qmlmodels,
+         qml-module-qtgraphicaleffects,
          qml-module-qtlocation,
          qml-module-qtmultimedia,
          qml-module-qtpositioning,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Digital travel assistant protecting your privacy
