=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: itinerary
 Section: misc
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.94~),
                iso-codes <!nocheck>,
+               kirigami-addons-dev,
                kirigami2-dev (>= 5.94~),
-               kosmindoormap-dev,
+               kosmindoormap-dev (>= 23.08.1~),
                libical-dev (>= 3.0),
                libkf5archive-dev (>= 5.94~),
                libkf5calendarcore-dev (>= 5:5.94~),
@@ -27,9 +29,9 @@
                libkf5qqc2desktopstyle-dev (>= 5.94~),
                libkf5unitconversion-dev (>= 5.94~),
                libkf5windowsystem-dev (>= 5.94~),
-               libkpimitinerary-dev (>= 21.08.0~),
-               libkpimpkpass-dev,
-               libkpublictransport-dev,
+               libkpimitinerary-dev (>= 23.08.1~),
+               libkpimpkpass-dev (>= 23.08.1~),
+               libkpublictransport-dev (>= 23.08.1~),
                libqt5svg5-dev,
                libssl-dev,
                locales-all <!nocheck>,
@@ -39,11 +41,11 @@
                qtpositioning5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                shared-mime-info (>= 1.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://www.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
 Rules-Requires-Root: no
 
 Package: itinerary
