=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                iso-codes <!nocheck>,
                kirigami-addons-dev,
                kirigami2-dev (>= 5.94~),
-               kosmindoormap-dev (>= 23.08.1~),
+               kosmindoormap-dev (>= 23.08.4~),
                libical-dev (>= 3.0),
                libkf5archive-dev (>= 5.94~),
                libkf5calendarcore-dev (>= 5:5.94~),
@@ -29,9 +29,9 @@
                libkf5qqc2desktopstyle-dev (>= 5.94~),
                libkf5unitconversion-dev (>= 5.94~),
                libkf5windowsystem-dev (>= 5.94~),
-               libkpimitinerary-dev (>= 23.08.1~),
-               libkpimpkpass-dev (>= 23.08.1~),
-               libkpublictransport-dev (>= 23.08.1~),
+               libkpimitinerary-dev (>= 23.08.4~),
+               libkpimpkpass-dev (>= 23.08.4~),
+               libkpublictransport-dev (>= 23.08.4~),
                libqt5svg5-dev,
                libssl-dev,
                locales-all <!nocheck>,
