## itinerary 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION 5.94)
+set(KF5_MIN_VERSION 5.100)
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -25,6 +25,7 @@
 include(KDECMakeSettings)
 include(GenerateExportHeader)
 include(ECMQmlModule)
+include(ECMDeprecationSettings)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_AUTOMOC ON)
@@ -44,7 +45,12 @@
 
 set(QT_MIN_VERSION 5.15.2)
 if (ANDROID)
-    set(QT_MIN_VERSION 5.15.8) # due to 5.15.8 changing the Gradle version in a non-backward compat way
+    set(QT_MIN_VERSION 5.15.10) # due to 5.15.10 changing NDK versioning
+endif()
+if (QT_MAJOR_VERSION EQUAL "6")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
 endif()
 
 # build-time dependencies
@@ -53,23 +59,35 @@
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Location)
 endif()
 find_package(Qt${QT_MAJOR_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore)
-find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Holidays UnitConversion NetworkManagerQt)
-find_package(KPimPkPass CONFIG REQUIRED)
-find_package(KPimItinerary 5.18.0 CONFIG REQUIRED)
-find_package(KPublicTransport CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays)
+find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS UnitConversion NetworkManagerQt)
+if (NOT KF_MAJOR_VERSION EQUAL "6") # TODO temporary workaround until kirigami-addons is switched to KF6
+find_package(KF5KirigamiAddons 0.9 REQUIRED)
+endif()
+find_package(KPim${KF_MAJOR_VERSION}PkPass CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}Itinerary 5.23.0 CONFIG REQUIRED)
+find_package(KPublicTransport 23.07.70 CONFIG REQUIRED)
 find_package(KOSMIndoorMap CONFIG REQUIRED)
 find_package(KHealthCertificate CONFIG)
 find_package(LibIcal 3.0)
-find_package(SharedMimeInfo 1.0 REQUIRED)
 find_package(ZLIB REQUIRED)
+set(QUOTIENT_FORCE_NAMESPACED_INCLUDES ON)
+find_package(Quotient 0.7.2 CONFIG)
 set_package_properties("ZLIB" PROPERTIES PURPOSE "Needed for retrieving weather forecast data.")
 set_package_properties(LibIcal PROPERTIES PURPOSE "Needed for Android calendar integration.")
-set_package_properties(KF5Solid PROPERTIES TYPE OPTIONAL TYPE RUNTIME PURPOSE "Used for controlling the screen brightness.")
+set_package_properties(KF${KF_MAJOR_VERSION}Solid PROPERTIES TYPE RUNTIME PURPOSE "Used for controlling the screen brightness.")
 set_package_properties(KHealthCertificate PROPERTIES TYPE OPTIONAL PURPOSE "Needed for the vaccination certificate manager.")
+set_package_properties(Quotient PROPERTIES TYPE OPTIONAL PURPOSE "Needed for Matrix location sharing.")
 if (ANDROID)
     set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
+else()
+    find_package(SharedMimeInfo 1.0 REQUIRED)
 endif()
+
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+     KF 5.102.0
+    )
+
 
 include(ECMFindQmlModule)
 ecm_find_qmlmodule(QtLocation 5.11)
@@ -90,7 +108,7 @@
     if (QT_MAJOR_VERSION EQUAL "5")
         find_package(Qt5 REQUIRED COMPONENTS AndroidExtras)
     endif()
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Kirigami2 Prison)
+    find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Kirigami2 Prison)
     if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
         set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
     endif()
@@ -98,24 +116,23 @@
     find_package(Gradle REQUIRED)
 else()
     find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Widgets DBus)
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS DBusAddons QQC2DesktopStyle WindowSystem)
-    find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Solid Crash FileMetaData KIO)
+    find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS DBusAddons QQC2DesktopStyle WindowSystem)
+    find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Solid Crash FileMetaData KIO)
 endif()
-if (TARGET KF5::Crash)
+if (TARGET KF${KF_MAJOR_VERSION}::Crash)
     set(HAVE_KCRASH TRUE)
 endif()
 if (TARGET KHealthCertificate)
     set(HAVE_KHEALTHCERTIFICATE TRUE)
 endif()
-if (TARGET KF5::Holidays)
-    set(HAVE_KHOLIDAYS TRUE)
-endif()
-if (TARGET KF5::UnitConversion)
+if (TARGET KF${KF_MAJOR_VERSION}::UnitConversion)
     set(HAVE_KUNITCONVERSION TRUE)
 endif()
-
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+if (TARGET Quotient)
+    set(HAVE_MATRIX TRUE)
+else()
+    set(HAVE_MATRIX FALSE)
+endif()
 
 add_subdirectory(src)
 add_subdirectory(autotests)
