=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,14 @@
 add_subdirectory(kandroidextras)
 add_subdirectory(gpx)
 add_subdirectory(calendarextras)
-add_subdirectory(kirigami-addons/dateandtime)
 add_subdirectory(app)
+if (HAVE_MATRIX)
+    add_subdirectory(matrix)
+endif()
 
-if (TARGET KF5::FileMetaData)
+if (TARGET KF${KF_MAJOR_VERSION}::FileMetaData)
     add_subdirectory(metadataextractor)
 endif()
-if (TARGET KF5::KIOWidgets)
+if (TARGET KF${KF_MAJOR_VERSION}::KIOWidgets)
     add_subdirectory(thumbnailer)
 endif()
