=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,19 @@
     applicationcontroller.cpp
     calendarhelper.cpp
     calendarimportmodel.cpp
+    clipboard.cpp
     documentmanager.cpp
+    documentsmodel.cpp
+    downloadjob.cpp
     favoritelocationmodel.cpp
     filehelper.cpp
     genericpkpass.cpp
     gpxexport.cpp
     healthcertificatemanager.cpp
     importexport.cpp
+    journeysectionmodel.cpp
     json.cpp
+    jsonio.cpp
     livedata.cpp
     livedatamanager.cpp
     localizer.cpp
@@ -24,10 +29,12 @@
     locationinformation.cpp
     navigationcontroller.cpp
     notificationhelper.cpp
+    onlineticketretrievaljob.cpp
     passmanager.cpp
     pkpassmanager.cpp
     pkpassimageprovider.cpp
     publictransport.cpp
+    publictransportmatcher.cpp
     reservationhelper.cpp
     reservationmanager.cpp
     statisticsmodel.cpp
@@ -43,6 +50,7 @@
     transfer.cpp
     transfermanager.cpp
     util.cpp
+    weatherinformation.cpp
 )
 ecm_qt_declare_logging_category(itinerary
     HEADER logging.h
@@ -57,24 +65,31 @@
     SolidExtras
     GpxIo
     KPublicTransport
+    KPublicTransportOnboard
     KOSMIndoorMap
-    KPim::Itinerary
-    KPim::PkPass
-    KF5::CalendarCore
-    KF5::Mime
-    KF5::I18n
-    KF5::I18nLocaleData
-    KF5::Contacts
-    KF5::CoreAddons
-    KF5::Notifications
+    KPim${KF_MAJOR_VERSION}::Itinerary
+    KPim${KF_MAJOR_VERSION}::PkPass
+    KF${KF_MAJOR_VERSION}::CalendarCore
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::I18nLocaleData
+    KF${KF_MAJOR_VERSION}::Contacts
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Notifications
+    KF${KF_MAJOR_VERSION}::Holidays
     Qt::Network
     Qt::Quick
 )
+if (TARGET KF5::Mime)
+    target_link_libraries(itinerary PUBLIC KF5::Mime)
+else()
+    target_link_libraries(itinerary PUBLIC KPim${KF_MAJOR_VERSION}::Mime)
+endif()
+if (HAVE_MATRIX)
+    target_link_libraries(itinerary PUBLIC KMatrix)
+endif()
+
 if (TARGET KHealthCertificate)
     target_link_libraries(itinerary PRIVATE KHealthCertificate)
-endif()
-if (TARGET KF5::Holidays)
-    target_link_libraries(itinerary PUBLIC KF5::Holidays)
 endif()
 
 if (Qt5QuickCompiler_FOUND)
@@ -88,12 +103,13 @@
     main.cpp
     countrysubdivisionmodel.cpp
     developmentmodecontroller.cpp
-    documentsmodel.cpp
     factory.cpp
     locationinformationdelegatecontroller.cpp
     mapdownloadmanager.cpp
+    matrixcontroller.cpp
     notificationconfigcontroller.cpp
     notifyrc.qrc
+    onlineticketimporter.cpp
     permissionmanager.cpp
     settings.cpp
     tickettokenmodel.cpp
@@ -117,10 +133,10 @@
     # explicitly add runtime dependencies and transitive link dependencies,
     # so androiddeployqt picks them up
     target_link_libraries(itinerary-app PRIVATE
-        KF5::Archive
-        KF5::Kirigami2
+        KF${KF_MAJOR_VERSION}::Archive
+        KF${KF_MAJOR_VERSION}::Kirigami2
         Qt::Svg
-        KF5::Prison
+        KF${KF_MAJOR_VERSION}::Prison
         OpenSSL::SSL
     )
 
@@ -128,7 +144,12 @@
 
     kirigami_package_breeze_icons(ICONS
         application-pdf
+        arrow-down
+        arrow-left
+        arrow-right
+        arrow-up
         bookmarks
+        call-start
         channel-insecure-symbolic
         channel-secure-symbolic
         checkmark
@@ -149,8 +170,13 @@
         edit-download
         edit-paste
         edit-rename
+        emblem-shared-symbolic
         export-symbolic
+        flag
+        flashlight-off
+        flashlight-on
         folder-documents-symbolic
+        globe
         go-down-symbolic
         go-home-symbolic
         go-next-symbolic
@@ -158,13 +184,19 @@
         help-about-symbolic
         help-contents
         list-add
+        mail-message-new
+        media-playback-playing
         map-globe
         map-symbolic
         meeting-attending
         notifications
         question
+        raindrop
         search
         settings-configure
+        temperature-cold
+        temperature-normal
+        temperature-warm
         view-barcode-qr
         view-calendar-day
         view-list-symbolic
@@ -205,24 +237,26 @@
         weather-snow-scattered
         weather-storm
     )
+
+    install(FILES sc-apps-org.kde.itinerary.svg  DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/icons/ RENAME org.kde.itinerary.svg)
 else ()
     target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
     target_link_libraries(itinerary-app PRIVATE
-        KF5::DBusAddons
-        KF5::WindowSystem
+        KF${KF_MAJOR_VERSION}::DBusAddons
+        KF${KF_MAJOR_VERSION}::WindowSystem
         Qt::Widgets
     )
     set_target_properties(itinerary-app PROPERTIES OUTPUT_NAME "itinerary")
-endif()
-if (TARGET KF5::Crash)
-    target_link_libraries(itinerary-app PRIVATE KF5::Crash)
-endif()
-if (TARGET KF5::UnitConversion)
-    target_link_libraries(itinerary-app PRIVATE KF5::UnitConversion)
+    ecm_install_icons(ICONS sc-apps-org.kde.itinerary.svg DESTINATION ${KDE_INSTALL_ICONDIR})
+endif()
+if (TARGET KF${KF_MAJOR_VERSION}::Crash)
+    target_link_libraries(itinerary-app PRIVATE KF${KF_MAJOR_VERSION}::Crash)
+endif()
+if (TARGET KF${KF_MAJOR_VERSION}::UnitConversion)
+    target_link_libraries(itinerary-app PRIVATE KF${KF_MAJOR_VERSION}::UnitConversion)
 endif()
 
 install(TARGETS itinerary-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-ecm_install_icons(ICONS sc-apps-org.kde.itinerary.svg DESTINATION ${KDE_INSTALL_ICONDIR})
 if (NOT ANDROID)
     install(PROGRAMS org.kde.itinerary.desktop DESTINATION ${KDE_INSTALL_APPDIR})
     install(FILES org.kde.itinerary.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
